Community
cancel
Showing results for 
Search instead for 
Did you mean: 
GordonA
Beginner
173 Views

Versions of Classic iFort available via oneAPI

Jump to solution

We are constrained on the version of iFort we have to use but at the same time keen to move over to the oneAPI. We are currently licensed for XE Composer. Within oneAPI is it possible to select a specific version of the classic (iFort) Fotran compiler? In particular is iFort 18 available?

0 Kudos
1 Solution
Ronald_G_Intel
Moderator
151 Views

Yes, on Intel Registration Center you will see both oneAPI packages and PSXE packages.  Probably too much information but they are separate product SKUs - so each have their past versions visible for download.  So if you want PSXE, under your PSXE Composer Edition, or Pro Ed., or Cluster Ed., click on the current Fortran compiler version and on the next screen you can pull down and select any of the available downloads ( version 18 is the oldest provided)

View solution in original post

3 Replies
Ronald_G_Intel
Moderator
152 Views

Yes, on Intel Registration Center you will see both oneAPI packages and PSXE packages.  Probably too much information but they are separate product SKUs - so each have their past versions visible for download.  So if you want PSXE, under your PSXE Composer Edition, or Pro Ed., or Cluster Ed., click on the current Fortran compiler version and on the next screen you can pull down and select any of the available downloads ( version 18 is the oldest provided)

View solution in original post

GordonA
Beginner
104 Views

So to confirm, the oneAPI HPC Tooklit includes access to PSXE 18 and downloads are available via the Registration Center in the usual way.

Steve_Lionel
Black Belt Retired Employee
93 Views

Right - as long as your support contract is current.

Reply